import request from '@/utils/request'

// 查询课程-时间列表
export function listTime(query) {
  return request({
    url: '/course/time/list',
    method: 'get',
    params: query
  })
}


export function listTimed(data) {
  return request({
    url: '/applet/pc/fangXue/statistics',
    method: 'post',
    data: data
  })
}


// 查询课程-时间详细
export function getTime(id) {
  return request({
    url: '/course/time/' + id,
    method: 'get'
  })
}

// 新增课程-时间
export function addTime(data) {
  return request({
    url: '/course/time',
    method: 'post',
    data: data
  })
}

// 修改课程-时间
export function updateTime(data) {
  return request({
    url: '/course/time/put',
    method: 'post',
    data: data
  })
}

// 删除课程-时间
export function delTime(query) {
  return request({
    url: '/course/time/delete/schoolId',
    method: 'get',
     params: query
  })
}
